[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: emacs-24.3 + emacspeak-39.0



I'm glad you were able to get things running. 

I don't think you should need those two bits of defadvice you have added. Emacspeak already does the right thing when you move forward/backward by words. If using M-<left>/M-<right> was not moving and speaking by words as you wanted, then what you probably need to do is re-bind those keys. Have a look in emacspeak-keymaps.el to see what the default emacspeak keybindings are. 

It is extremely rare to need to add additional advice to emacspeak to add spoken feedback for basic editing and movement commands. Usually, the only time it is necessary to add additional advice is when using a new mode or a mode not yet directly supported by emacspeak. In this case, given you are targeting basic movement commands, the functionality definitely exists, but perhaps not on the key bindings you would expect. Personally, I don't use the arrow keys for movement as I find it quicker to stick with the main keyboard and avoid having to move my hands too far from the "home keys". 

One reason to be a little conservative when adding additional advice and new functions is for maintenance. Rather than have multiple bits of advice which do roughly the same thing, it is far better to have one. Then, when something in emacs changes, such as the recent change to interactive-p, less of emacspeak needs to change and less change means less chance of new bugs. 

good luck

Tim
--
Tim Cross
IT Security Manager, Information Technology
University of New England
Armidale N.Sl.W. 2350

Email: tcross@une.edu.au
Phone: +61 2 6773 3210
Mobile: +61 428 212 217

On 03/12/2013, at 12:08 AM, lsmithso@hare.demon.co.uk wrote:

> 
> Hi: I fixed my emacs path and was able to build emacspeak-39.0
> OK. This fixed most of the problems.
> 
> Audio icons wouldn't play because  emacspeak-play-args default was set
> to "-n" instead of "-N".   "-n" isn't a valid aplay argument, at least
> on vinux 4.0.
> 
> emacspeak-version in emacspeak-setup.el is set to 38.0 rather than
> 39.0.
> 
> I added the following to advice the m-left/right keys. Its a straight
> copy/paste of the  forward-word/backward-word functions, but it seems
> to work.
> 
> 
>  (defadvice right-word (after emacspeak pre act comp)
>    "Speak the word you just moved to."
>    (when (ems-interactive-p )
>      (skip-syntax-forward " ")
>      (emacspeak-speak-word )))
> 
>  (defadvice left-word (after emacspeak pre act comp)
>    "Speak the word you just moved to."
>    (when (ems-interactive-p ) (emacspeak-speak-word )))
> )
> 
> The emacspeak ver
> 
> 
> 
> 
> 
> 
> 
> T. V. Raman writes:
>> 
>> Make sure you're running the same Emacs that you built emacspeak
>> with. 
>> 
>> make EMACS=<your_emacs>
>> 
>> Everything you are seeing is because of version mismatch,
>>>>>>> "lsmithso" == lsmithso  <lsmithso@hare.demon.co.uk> writes:
>>    lsmithso> Hi: I fixed the first problem - I aliased emacs to
>>    lsmithso> the path to emacs-24 , but make ignores aliases so
>>    lsmithso> emacspeak was being built with emacs 23, so no
>>    lsmithso> cl-proclaim.
>>    lsmithso> 
>>    lsmithso> This fixed some of the other problems, but m-arrow
>>    lsmithso> keys still do not work. I see in emacs-24 that
>>    lsmithso> m-right arrow is bound to right-word, whereas in
>>    lsmithso> emacs-23 its bound to forward-word. right-word is
>>    lsmithso> not advised by emacspeak-39., which is why its
>>    lsmithso> doesn't speak.
>>    lsmithso> 
>>    lsmithso> What's the best way to fix this? Rebind the keys or
>>    lsmithso> add advised functions?
>>    lsmithso> 
>>    lsmithso> I've also lost the auditory icons. The blank line
>>    lsmithso> and buffer modified beeps work though.
>>    lsmithso> 
>>    lsmithso> 
>>    lsmithso> 
>>    lsmithso> lsmithso@hare.demon.co.uk writes:
>>>> 
>>>> Hi: I've been a happy and productive user of emacs-23.3
>>>> and emacspeak 37.0 for a while now. I want to bite the
>>>> bullet and update to the latest stable emacs + emacspeak
>>>> versions. I've successfully built emacs 24.3 from source
>>>> but I'm having trouble building and running
>>>> emacspeak-39.0. I wondered if I might get some help.
>>>> 
>>>> OS is stock Vinux 4.0 Emacs version 24.3 built from source
>>>> Emacspeak version 39.0
>>>> 
>>>> The first problem I have is with building emacspeak:
>>>> 
>>>> emacspeak-webutils.el:56:1:Error: Symbol's function
>>>> definition is void: cl-proclaim
>>>> 
>>>> If I ignore this error and plow on (perhaps unwisely) with
>>>> 'make -k', then run the result, I have the following
>>>> problems:
>>>> 
>>>> Cursor up and down speaks the whole line, but cursor left
>>>> or right doesn't speak the character under the cursor.
>>>> 
>>>> Meta cursor left/right doesn't speak the word under the
>>>> cursor.
>>>> 
>>>> c-c Home goes home but doesn't speak the 1st line of the
>>>> buffer.
>>>> 
>>>> c-c End goes to the end of the buffer but doesn't sound
>>>> the audio icon.
>>>> 
>>>> A number of other audio icons seem to be missing, ie after
>>>> a c-g.
>>>> 
>>>> Incidentally, emacspeak-version in emacspeak-setup.el is
>>>> stuck at 38.0.
>>>> 
>>>> 
>>>> Thanks for any help you can give.
>>>> 
>>>> 
>>>> 
>>>> 
>>>> 
>>>> 
>>>> 
>>>> 
>>>> 
>>>> 
>>>> -- 
>>>> Les Smithson
>>>> 
>>>> -----------------------------------------------------------------------------
>>>> To unsubscribe from the emacspeak list or change your
>>>> address on the emacspeak list send mail to
>>>> "emacspeak-request@cs.vassar.edu" with a subject of
>>>> "unsubscribe" or "help".
>>    lsmithso> 
>>    lsmithso> -- Les Smithson
>>    lsmithso> 
>>    lsmithso> -----------------------------------------------------------------------------
>>    lsmithso> To unsubscribe from the emacspeak list or change
>>    lsmithso> your address on the emacspeak list send mail to
>>    lsmithso> "emacspeak-request@cs.vassar.edu" with a subject of
>>    lsmithso> "unsubscribe" or "help".
>> 
>> -- 
>> Best Regards,
>> --raman
>> 
>> -----------------------------------------------------------------------------
>> To unsubscribe from the emacspeak list or change your address on the
>> emacspeak list send mail to "emacspeak-request@cs.vassar.edu" with a
>> subject of "unsubscribe" or "help".
> 
> -- 
> Les Smithson
> 
> -----------------------------------------------------------------------------
> To unsubscribe from the emacspeak list or change your address on the
> emacspeak list send mail to "emacspeak-request@cs.vassar.edu" with a
> subject of "unsubscribe" or "help".
> 

Attachment: signature.asc
Description: Message signed with OpenPGP using GPGMail



If you have questions about this archive or had problems using it, please send mail to:

priestdo@cs.vassar.edu No Soliciting!

Emacspeak List Archive | 2010 | 2009 | 2008 | 2007 | 2006 | 2005 | 2004 | 2003 | 2002 | 2001 | 2000 | 1999 | 1998 | Pre 1998

Emacspeak Files | Emacspeak Blog | Search the archive